Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.crawler.fetcher
Class HeritrixHttpMethodRetryHandler

    java.lang.Object
      org.archive.crawler.fetcher.HeritrixHttpMethodRetryHandler

All Implemented Interfaces:
  org.apache.commons.httpclient.HttpMethodRetryHandler

    public class HeritrixHttpMethodRetryHandler

extends java.lang.Object
implements org.apache.commons.httpclient.HttpMethodRetryHandler

Retry handler that tries ten times to establish connection and then once established, if a GET method, tries ten times to get response (If POST, it tries once only). Its unsafe retrying POSTs. See 'Rule of Thumb' under 'Method Recovery' here: HttpClient Tutorial.

Version:
  $Date: 2005-06-12 17:59:14 +0000 (Sun, 12 Jun 2005) $, $Revision: 3560 $
Author:
  stack

Constructor Summary
`HeritrixHttpMethodRetryHandler()` Constructor.
`HeritrixHttpMethodRetryHandler(int maxRetryCount)` Constructor.

Method Summary
`boolean` | `retryMethod(org.apache.commons.httpclient.HttpMethod method, java.io.IOException exception, int executionCount)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HeritrixHttpMethodRetryHandler

    public HeritrixHttpMethodRetryHandler()

  Constructor.

### HeritrixHttpMethodRetryHandler

    public HeritrixHttpMethodRetryHandler(int maxRetryCount)

  Constructor.

  Parameters:
    `maxRetryCount` - Maximum amount of times to retry.

Method Detail

### retryMethod

    public boolean retryMethod(org.apache.commons.httpclient.HttpMethod method,
                               java.io.IOException exception,
                               int executionCount)

  Specified by:
    `retryMethod` in interface `org.apache.commons.httpclient.HttpMethodRetryHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.